Bug 140132 - bits/socket.h non ansi compliant?
Summary: bits/socket.h non ansi compliant?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-20 00:00 UTC by Eral Trmb
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-21 20:32:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eral Trmb 2004-11-20 00:00:58 UTC
Description of problem:
gcc complains:

/usr/include/bits/socket.h:292: error: comma at end of enumerator list

Version-Release number of selected component (if applicable):
FC3 + updates: glibc-headers-2.3.3-74, gcc-3.4.2-6.fc3

How reproducible:
Always

Steps to Reproduce:
1. #include <netdb.h> int main(){return 0;}
2. gcc -Wall -pedantic-errors -Werror -ansi main.c -o test
  
Actual results:
In file included from /usr/include/sys/socket.h:35,
                 from /usr/include/netinet/in.h:24,
                 from /usr/include/netdb.h:28,
                 from main.c:1:
/usr/include/bits/socket.h:292: error: comma at end of enumerator list

Expected results:
./test ;)

Comment 1 Jakub Jelinek 2004-11-21 20:32:39 UTC
Should be fixed in glibc-2.3.3-82.

Comment 2 Eral Trmb 2004-11-22 21:37:15 UTC
Checked. Thank you.


Note You need to log in before you can comment on or make changes to this bug.